Author: frankie
Date: 2008-07-02 15:29:43 +0000 (Wed, 02 Jul 2008)
New Revision: 1689

Added:
   packages/gdal/trunk/debian/patches/eoverflow.dpatch
Log:
Missing patch


Added: packages/gdal/trunk/debian/patches/eoverflow.dpatch
===================================================================
--- packages/gdal/trunk/debian/patches/eoverflow.dpatch                         
(rev 0)
+++ packages/gdal/trunk/debian/patches/eoverflow.dpatch 2008-07-02 15:29:43 UTC 
(rev 1689)
@@ -0,0 +1,26 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## eoverflow.dpatch by Francesco Paolo Lovergine <[EMAIL PROTECTED]>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
[EMAIL PROTECTED]@
+diff -urNad gdal-1.5.2~/gcore/gdalopeninfo.cpp 
gdal-1.5.2/gcore/gdalopeninfo.cpp
+--- gdal-1.5.2~/gcore/gdalopeninfo.cpp 2008-02-23 11:28:24.000000000 +0100
++++ gdal-1.5.2/gcore/gdalopeninfo.cpp  2008-07-02 17:27:23.000000000 +0200
+@@ -96,8 +96,13 @@
+                 VSIRewind( fp );
+             } 
+             else if( errno == 27 /* "File to large" */ 
+-                     || errno == ENOENT 
+-                     || errno == 79 /* EOVERFLOW - value too large */ )
++                     || errno == ENOENT || errno == EINVAL 
++#ifdef EOVERFLOW
++                     || errno == EOVERFLOW 
++#else
++                     || errno == 75 /* Linux EOVERFLOW */ 
++                     || errno == 79 /* Solaris EOVERFLOW */ )
++#endif
+             {
+                 fp = VSIFOpenL( pszFilename, "rb" );
+                 if( fp != NULL )


Property changes on: packages/gdal/trunk/debian/patches/eoverflow.dpatch
___________________________________________________________________
Name: svn:executable
   + *


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to